summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-02-11 18:11:30 -0500
committerLuke Smith <luke@lukesmith.xyz>2019-02-11 18:11:30 -0500
commit8a5ee90a1c481c908e95e887f26051407fe58903 (patch)
treed6677834c9946bcade5b9bbed83a7892af281fa4
parent9168143840c447ce2521902fa584d699cec71788 (diff)
parent38632ee4ea03f0fed52baaa69c40ac22c0b117f2 (diff)
no ttl in ping
-rwxr-xr-xetc/mailsync.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/etc/mailsync.sh b/etc/mailsync.sh
index 826cf8a..d8615ad 100755
--- a/etc/mailsync.sh
+++ b/etc/mailsync.sh
@@ -10,13 +10,12 @@
export DISPLAY=:0.0
# Checks for internet connection and set notification script.
+ping -q -c 1 1.1.1.1 > /dev/null || exit
# Settings are different for MacOS (Darwin) systems.
if [ "$(uname)" = "Darwin" ]
then
- ping -q -t 1 -c 1 1.1.1.1 > /dev/null || exit
notify() { osascript -e "display notification \"$2 in $1\" with title \"You've got Mail\" subtitle \"Account: $account\"" && sleep 2 ;}
else
- ping -q -W 1 -c 1 1.1.1.1 > /dev/null || exit
notify() { mpv --really-quiet ~/.config/mutt/etc/notify.opus & pgrep -x dunst && notify-send -i ~/.config/mutt/etc/email.gif "$2 new mail(s) in \`$1\` account." ;}
fi